Package org.eclipse.jdt.debug.eval

## Interface IEvaluationListener

    public interface IEvaluationListener

Evaluation results are reported to evaluation listeners on the completion of an evaluation. The evaluation may fail but a result will be supplied indicating the problems.

Clients may implement this interface.

Since:
  2.0
See Also:
  `IEvaluationResult`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `evaluationComplete​(IEvaluationResult result)` Notifies this listener that an evaluation has completed, with the given result.

### Method Detail

#### evaluationComplete

    void evaluationComplete​(IEvaluationResult result)

Notifies this listener that an evaluation has completed, with the given result.

Parameters:
  `result` - The result from the evaluation
See Also:
  `IEvaluationResult`